Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.cometd.demo
Class BayeuxServicesListener

    java.lang.Object
      org.cometd.demo.BayeuxServicesListener

All Implemented Interfaces:
  EventListener, ServletContextAttributeListener

    public class BayeuxServicesListener

extends Object
implements ServletContextAttributeListener

Nested Class Summary
`static class` | `BayeuxServicesListener.EchoRPC`
`static class` | `BayeuxServicesListener.Monitor`

Constructor Summary
`BayeuxServicesListener()`

Method Summary
`void` | `attributeAdded(ServletContextAttributeEvent scab)`
`void` | `attributeRemoved(ServletContextAttributeEvent scab)`
`void` | `attributeReplaced(ServletContextAttributeEvent scab)`
`void` | `initialize(org.cometd.Bayeux bayeux)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BayeuxServicesListener

    public BayeuxServicesListener()

Method Detail

### initialize

    public void initialize(org.cometd.Bayeux bayeux)

### attributeAdded

    public void attributeAdded(ServletContextAttributeEvent scab)

  Specified by:
    `attributeAdded` in interface `ServletContextAttributeListener`

### attributeRemoved

    public void attributeRemoved(ServletContextAttributeEvent scab)

  Specified by:
    `attributeRemoved` in interface `ServletContextAttributeListener`

### attributeReplaced

    public void attributeReplaced(ServletContextAttributeEvent scab)

  Specified by:
    `attributeReplaced` in interface `ServletContextAttributeListener`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1995-2008 Mort Bay Consulting. All Rights Reserved.